# Get adoption events (Token-based Pagination)

Returns adoption tracking events using token-based pagination. Filters are optional and combined with logical AND. Use the `nextPageToken` from a previous response to fetch the next page. If no token is provided, results start from the first page. Both `from` and `to` are inclusive (ISO date: yyyy-MM-dd).

Endpoint: GET /platform-adoption/api/external/v2/adoption-tracking-events/STUDIO_ASSET
Version: v2.0
Security: Authorization

## Security:

  - `Authorization` (unknown)
    apiKey in header Authorization

## Query parameters:

  - `appName` (string)
    Optional filter by Studio application name. If omitted, events for all types are returned.

  - `pageToken` (string)
    Continuation pageToken from the previous response. Use `nextPageToken` exactly as returned by the API.

  - `limit` (integer)
    Maximum number of results to return. Allowed range:1-500.

  - `from` (string)
    Optional start date filter, ISO8601 format `yyyy-MM-dd`.

  - `to` (string)
    Optional end date filter, ISO8601 format `yyyy-MM-dd`.

## Response 200:

  - `200` (unknown)
    A JSON object representing the paginated results.

## Response 200 fields (application/json):

  - `nextPageToken` (string)

  - `content` (array)

  - `content.appName` (string)
    Enum: "APPS", "STUDIO"

  - `content.assetTab` (object)

  - `content.assetTab.id` (string)

  - `content.assetTab.name` (string)

  - `content.assetType` (string)

  - `content.folders` (array)

  - `content.user` (object)

  - `content.user.id` (string)

  - `content.user.email` (string)

  - `content.timestamp` (string)

## Response 204:

  - `204` (unknown)
    No Content

## Response 400:

  - `400` (unknown)
    Bad Request. Please check the response contents for an explanation of the cause.

## Response 401:

  - `401` (unknown)
    Unauthorized. Please check whether your API key or application key has sufficient permissions. In case you are unsure, please refer the documentation on [application keys](https://help.celonis.cloud/help/display/CIBC/Application+Keys) and [permissions](https://help.celonis.cloud/help/display/CIBC/Permissions).

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 500:

  - `500` (unknown)
    An internal error happened. Please forward the associated error ID along with any helpful information to [our support](https://help.celonis.cloud/help/display/CIBC/Support)

